local Vector3=GLOBAL.Vector3


 Assets = 
{
    Asset("ATLAS", "images/inventoryimages/ui_chest_5x5.xml"),
    Asset("IMAGE", "images/inventoryimages/ui_chest_5x5.tex"),
    Asset("ANIM", "anim/ui_chest_5x5.zip"),
}



local slotpos = {}

for y = 3, -1, -1 do
	for x = -1, 3 do
		table.insert(slotpos, Vector3(80 * x - 80 * 2 + 80, 80 * y - 80 * 2 + 80, 0))
	end
end


		

local function newchest(inst)

    	inst.components.container:SetNumSlots(#slotpos)

		

		inst.components.container.widgetslotpos = slotpos
		inst.components.container.widgetanimbank = "ui_chest_5x5"
		inst.components.container.widgetanimbuild = "ui_chest_5x5"
		
end
AddPrefabPostInit("treasurechest",newchest)
AddPrefabPostInit("icebox",newchest)

